<?php

namespace Drupal\vipps_mobilepay_commerce\Event;

use Drupal\commerce\EventBase;
use Drupal\commerce_payment\Entity\PaymentInterface;
use zaporylie\Vipps\Model\EPayment\v1\CreatePaymentRequest;

/**
 * The epayment initiation event.
 */
class InitiateEPaymentEvent extends EventBase {

  /**
   * The event constructor.
   *
   * @param \zaporylie\Vipps\Model\EPayment\v1\CreatePaymentRequest $request
   *   The epayment initiation request.
   * @param \Drupal\commerce_payment\Entity\PaymentInterface $payment
   *   The Drupal payment entity.
   */
  public function __construct(protected CreatePaymentRequest $request, protected PaymentInterface $payment) {}

  /**
   * Gets payment value.
   *
   * @return \Drupal\commerce_payment\Entity\PaymentInterface
   *   The Drupal payment.
   */
  public function getPayment(): PaymentInterface {
    return $this->payment;
  }

  /**
   * Gets request value.
   *
   * @return \zaporylie\Vipps\Model\EPayment\v1\CreatePaymentRequest
   *   The request.
   */
  public function getRequest(): CreatePaymentRequest {
    return $this->request;
  }

}
