<?php

namespace Drupal\vipps_mobilepay_commerce\Event;

use Drupal\commerce\EventBase;
use Drupal\commerce_payment\Entity\PaymentInterface;
use zaporylie\Vipps\Model\RecurringPayment\v3\RequestCreateAgreement;

/**
 * The recurring initiation event.
 */
class InitiateRecurringEvent extends EventBase {

  /**
   * The event constructor.
   *
   * @param \zaporylie\Vipps\Model\RecurringPayment\v3\RequestCreateAgreement $request
   *   The recurring agreement initiation request.
   * @param \Drupal\commerce_payment\Entity\PaymentInterface $payment
   *   The Drupal payment entity.
   */
  public function __construct(protected RequestCreateAgreement $request, protected PaymentInterface $payment) {}

  /**
   * Gets payment value.
   *
   * @return \Drupal\commerce_payment\Entity\PaymentInterface
   *   The Drupal payment.
   */
  public function getPayment(): PaymentInterface {
    return $this->payment;
  }

  /**
   * Gets request value.
   *
   * @return \zaporylie\Vipps\Model\RecurringPayment\v3\RequestCreateAgreement
   *   The request.
   */
  public function getRequest(): RequestCreateAgreement {
    return $this->request;
  }

}
