<?php

namespace Drupal\vipps_mobilepay_commerce\Event;

/**
 * Vipps MobilePay events.
 */
final class VippsMobilePayEvents {

  /**
   * This event is dispatched shortly before payment is initiated.
   *
   * At that time the default request object is already preconfigured.
   *
   * @Event
   *
   * @see \Drupal\vipps_mobilepay_commerce\Event\InitiateEPaymentEvent
   */
  const INITIATE_EPAYMENT = 'vipps_mobilepay_commerce.initiate_epayment';

  /**
   * This event is dispatched shortly before payment is initiated.
   *
   * At that time the default request object is already preconfigured.
   *
   * @Event
   *
   * @see \Drupal\vipps_mobilepay_commerce\Event\InitiateCheckoutEvent
   */
  const INITIATE_CHECKOUT = 'vipps_mobilepay_commerce.initiate_checkout';

  /**
   * This event is dispatched shortly before payment is initiated.
   *
   * At that time the default request object is already preconfigured.
   *
   * @Event
   *
   * @see \Drupal\vipps_mobilepay_commerce\Event\InitiateRecurringEvent
   */
  const INITIATE_RECURRING = 'vipps_mobilepay_commerce.initiate_recurring';

}
