<?php

namespace Drupal\vipps_mobilepay_commerce;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

/**
 * Registers shipping-related event subscribers when module is enabled.
 */
class VippsMobilepayCommerceServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    $modules = $container->getParameter('container.modules');
    if (isset($modules['commerce_shipping'])) {
      $definition = $container->getDefinition('vipps_mobilepay_commerce.commerce_shipping_methods_resolver');
      $definition->setAbstract(FALSE);
      $container->setDefinition('vipps_mobilepay_commerce.commerce_shipping_methods_resolver', $definition);

      $definition = $container->getDefinition('vipps_mobilepay_commerce.shipping_checkout_event_subscriber');
      $definition->setAbstract(FALSE);
      $container->setDefinition('vipps_mobilepay_commerce.shipping_checkout_event_subscriber', $definition);
    }
  }

}
